%define		package	MonologBridge
%define		php_min_version 5.3.9
Summary:	Symfony2 Monolog Bridge
Name:		php-symfony2-MonologBridge
Version:	2.8.52
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	e625fa0071fe2e1de48bad8c307d63c0
URL:		https://github.com/symfony/MonologBridge
BuildRequires:	phpab
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
Requires:	php(spl)
Requires:	php-dirs >= 1.6
#Requires:	php-monolog-Monolog >= 1.11
Suggests:	php-symfony2-Console >= 2.3
Suggests:	php-symfony2-EventDispatcher
Suggests:	php-symfony2-HttpKernel
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides integration for Monolog with various Symfony2 components.

%prep
%setup -q -n monolog-bridge-%{version}

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Bridge/Monolog
cp -a *.php */ $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Bridge/Monolog
rm -r $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Bridge/Monolog/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_data_dir}/Symfony/Bridge/Monolog
%{php_data_dir}/Symfony/Bridge/Monolog/*.php
%{php_data_dir}/Symfony/Bridge/Monolog/Formatter
%{php_data_dir}/Symfony/Bridge/Monolog/Handler
%{php_data_dir}/Symfony/Bridge/Monolog/Processor
%changelog
* Wed May 06 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-MonologBridge.git;a=log;h=master

* Wed May 06 2020 Elan Ruusamäe <glen@pld-linux.org> a818c95
- Update to 2.8.52

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 308b84f
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> c3e11db
- up to 2.7.8

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> df8722b
- php-dirs dep

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 73e74b4
- skip implicit pear-dirs package, dir dep is enough

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 19ada77
- install to php data dir

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 3839b29
- up to 2.7.7; use autoload.php for autoload name

* Sat Oct 03 2015 Elan Ruusamäe <glen@delfi.ee> dbd93ad
- up to 2.7.5

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 7b5ac28
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> a25a18d
- use autoloader.php as autoload bootstrap

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 1a73e90
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 5cee9d2
- up to 2.4.4

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> 5138f70
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 640e6f0
- up to 2.3.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> a260f6a
- up to 2.1.6

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 855226f
- initial add. version 2.1.4

